
<form name="form" novalidate>


					<div class="row-fluid" ngf-drop ng-model="ctrl.file" ngf-max-size="20MB" ngf-allow-dir="false">
<div id="top_of_dialog">
	<strong>Upload File Blacklist</strong>
</div>

<div style="margin-top: 15px">
	<table class="table table-bordered blockContainer showInlineTable equalSplit">
		<thead>
			<tr>
				<th class="blockHeader" colspan="4">Blacklist</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.societaTutela.$invalid">*</span>Societ&agrave; Tutela
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select name="societaTutela" ng-model="ctrl.societaTutela" ng-options="item.nominativo for item in ctrl.societaTutelaList track by item.id" required>
							</select>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.country.$invalid">*</span>Territorio
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select name="country" ng-model="ctrl.country" ng-disabled="!ctrl.societaTutela" ng-options="item.name for item in ctrl.countries | filter:{code: ctrl.societaTutela.homeTerritory.idCountry} track by item.code" required>
							</select>
						</span>
					</div>
				</td>				
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.validFrom.$invalid">*</span>Data Inizio Validit&agrave;
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid" style="max-width: 450px;">
						<input type="text" class="input-large ngdialog-input ctrl_validFrom"
							style="width: 100px"
							name="validFrom" required
							ng-model="ctrl.validFrom"> 
						<script type="text/javascript">
						    $(".ctrl_validFrom").datepicker({
						    	format: 'yyyy-mm-dd', 
						    	language: 'it',
						    	autoclose: true,
						    	todayHighlight: true
						    });
						</script>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.file.$invalid">*</span>File CSV
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid" ngf-drop ng-model="ctrl.file" ngf-max-size="20MB" ngf-allow-dir="false">
							<div class="row-fluid" ng-hide="!ctrl.file" style="margin-bottom: 5px"><strong>{{ctrl.file.name}}</strong>
								{{ctrl.file.$error}} {{ctrl.file.$errorParam}}</div>
							<div class="row-fluid" style="margin-top: 20px; margin-bottom: 20px">Drag &amp; Drop file 
							</div>
							<div ngf-no-file-drop>File Drag/Drop is not supported for this browser</div>
							<button class="ngdialog-input" type="file" ngf-select name="file" required
								ng-model="ctrl.file" ngf-max-size="20MB" ngf-allow-dir="false">...or choose file</button>
					</div>
				</td>
			</tr>
		</tbody>
	</table>
</div>

<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
			<button type="button" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
			</button>
		</td>
		<td align="right">
			<button ng-disabled="form.$invalid" class="btn addButton" ng-click="save()">
				<span class="glyphicon glyphicon-cloud-upload"></span>&nbsp;&nbsp;<strong>Upload</strong>
			</button>
		</td>
	</tr>
	</table>
</div>

</form>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>